Skip to main content
GET
/
webhook
/
findBy
curl --location 'https://gyra-core.gyramais.com.br/webhook/findBy'
--header 'Authorization: Bearer {seu_token_jwt}'
[
  {
    "id": "6853504897673f1bec57ea2f",
    "type": "REPORT_FINISHED",
    "url": "https://go.n8n.gyramais.com.br/webhook/33fa218c-347d-4425-8814-7afe842a87c6",
    "apiKey": null
  }
]

Quando usar

Use este endpoint para consultar o webhook ativo por ID (ou pelo contexto da organização). Você pode usar para auditoria de configuração, troubleshooting de entrega de eventos ou validação antes de atualizar/remover um webhook.

Autenticação

Bearer JWT no header Authorization.

Parâmetros

NomeLocalTipoObrigatórioDescrição
webhookIdquerystringnãoWebhook Id, If you do not add the webhookId, the organizationId extracted from the token is used as a search.
curl --location 'https://gyra-core.gyramais.com.br/webhook/findBy'
--header 'Authorization: Bearer {seu_token_jwt}'
[
  {
    "id": "6853504897673f1bec57ea2f",
    "type": "REPORT_FINISHED",
    "url": "https://go.n8n.gyramais.com.br/webhook/33fa218c-347d-4425-8814-7afe842a87c6",
    "apiKey": null
  }
]

Query Parameters

webhookId
string

Webhook Id, If you do not add the webhookId, the organizationId extracted from the token is used as a search.

Example:

"664b63037707171ba58cf311"

Response

200 - undefined